Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xsl
Class SAXFilterImpl

    java.lang.Object
      |
      +--com.caucho.xsl.SAXFilterImpl

All Implemented Interfaces:
  org.xml.sax.XMLFilter, org.xml.sax.XMLReader

public class SAXFilterImpl
extends java.lang.Object
implements org.xml.sax.XMLFilter

Field Summary
`protected static L10N` | `L`
`protected TransformerImpl` | `transformer`

Constructor Summary
`protected` | `SAXFilterImpl(TransformerImpl transformer)`

Method Summary
`org.xml.sax.ContentHandler` | `getContentHandler()` Return the current content handler.
`org.xml.sax.DTDHandler` | `getDTDHandler()` Return the current DTD handler.
`org.xml.sax.EntityResolver` | `getEntityResolver()` Return the current entity resolver.
`org.xml.sax.ErrorHandler` | `getErrorHandler()` Return the current error handler.
`boolean` | `getFeature(java.lang.String name)` Look up the value of a feature.
`org.xml.sax.XMLReader` | `getParent()` Get the parent reader.
`java.lang.Object` | `getProperty(java.lang.String name)` Look up the value of a property.
`void` | `parse(org.xml.sax.InputSource input)` Parse an XML document.
`void` | `parse(java.lang.String systemId)` Parse an XML document from a system identifier (URI).
`void` | `setContentHandler(org.xml.sax.ContentHandler handler)` Allow an application to register a content event handler.
`void` | `setDTDHandler(org.xml.sax.DTDHandler handler)` Allow an application to register a DTD event handler.
`void` | `setEntityResolver(org.xml.sax.EntityResolver resolver)` Allow an application to register an entity resolver.
`void` | `setErrorHandler(org.xml.sax.ErrorHandler handler)` Allow an application to register an error event handler.
`void` | `setFeature(java.lang.String name, boolean value)` Set the state of a feature.
`void` | `setParent(org.xml.sax.XMLReader parent)` Set the parent reader.
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Set the value of a property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### L

    protected static L10N L

### transformer

    protected TransformerImpl transformer

Constructor Detail

### SAXFilterImpl

    protected SAXFilterImpl(TransformerImpl transformer)

Method Detail

### setParent

    public void setParent(org.xml.sax.XMLReader parent)

  Description copied from interface: `org.xml.sax.XMLFilter`
  Set the parent reader.

  This method allows the application to link the filter to a parent reader (which may be another filter). The argument may not be null.

  Specified by:
    `setParent` in interface `org.xml.sax.XMLFilter`
  Following copied from interface: `org.xml.sax.XMLFilter`
  Parameters:
    `parent` - The parent reader.

### getParent

    public org.xml.sax.XMLReader getParent()

  Description copied from interface: `org.xml.sax.XMLFilter`
  Get the parent reader.

  This method allows the application to query the parent reader (which may be another filter). It is generally a bad idea to perform any operations on the parent reader directly: they should all pass through this filter.

  Specified by:
    `getParent` in interface `org.xml.sax.XMLFilter`
  Following copied from interface: `org.xml.sax.XMLFilter`
  Returns:
    The parent filter, or null if none has been set.

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

  Description copied from interface: `org.xml.sax.XMLReader`
  Look up the value of a feature.

  The feature name is any fully-qualified URI. It is possible for an XMLReader to recognize a feature name but to be unable to return its value; this is especially true in the case of an adapter for a SAX1 Parser, which has no way of knowing whether the underlying parser is performing validation or expanding external entities.

  All XMLReaders are required to recognize the http://xml.org/sax/features/namespaces and the http://xml.org/sax/features/namespace-prefixes feature names.

  Some feature values may be available only in specific contexts, such as before, during, or after a parse.

  Typical usage is something like this:

       XMLReader r = new MySAXDriver();

                               // try to activate validation
       try {
         r.setFeature("http://xml.org/sax/features/validation", true);
       } catch (SAXException e) {
         System.err.println("Cannot activate validation.");
       }

                               // register event handlers
       r.setContentHandler(new MyContentHandler());
       r.setErrorHandler(new MyErrorHandler());

                               // parse the first document
       try {
         r.parse("http://www.foo.com/mydoc.xml");
       } catch (IOException e) {
         System.err.println("I/O exception reading XML document");
       } catch (SAXException e) {
         System.err.println("XML exception reading document.");
       }

  Implementors are free (and encouraged) to invent their own features, using names built on their own URIs.

  Specified by:
    `getFeature` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `name` - The feature name, which is a fully-qualified URI.
  Returns:
    The current state of the feature (true or false).
  Throws:
    `org.xml.sax.SAXNotRecognizedException` - When the XMLReader does not recognize the feature name.
    `org.xml.sax.SAXNotSupportedException` - When the XMLReader recognizes the feature name but cannot determine its value at this time.
  See Also:
    `XMLReader.setFeature(java.lang.String, boolean)`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

  Description copied from interface: `org.xml.sax.XMLReader`
  Set the state of a feature.

  The feature name is any fully-qualified URI. It is possible for an XMLReader to recognize a feature name but to be unable to set its value; this is especially true in the case of an adapter for a SAX1 `Parser`, which has no way of affecting whether the underlying parser is validating, for example.

  All XMLReaders are required to support setting http://xml.org/sax/features/namespaces to true and http://xml.org/sax/features/namespace-prefixes to false.

  Some feature values may be immutable or mutable only in specific contexts, such as before, during, or after a parse.

  Specified by:
    `setFeature` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `name` - The feature name, which is a fully-qualified URI.
    `state` - The requested state of the feature (true or false).
  Throws:
    `org.xml.sax.SAXNotRecognizedException` - When the XMLReader does not recognize the feature name.
    `org.xml.sax.SAXNotSupportedException` - When the XMLReader recognizes the feature name but cannot set the requested value.
  See Also:
    `XMLReader.getFeature(java.lang.String)`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws org.xml.sax.SAXNotRecognizedException,
                                        org.xml.sax.SAXNotSupportedException

  Description copied from interface: `org.xml.sax.XMLReader`
  Look up the value of a property.

  The property name is any fully-qualified URI. It is possible for an XMLReader to recognize a property name but to be unable to return its state; this is especially true in the case of an adapter for a SAX1 `Parser`.

  XMLReaders are not required to recognize any specific property names, though an initial core set is documented for SAX2.

  Some property values may be available only in specific contexts, such as before, during, or after a parse.

  Implementors are free (and encouraged) to invent their own properties, using names built on their own URIs.

  Specified by:
    `getProperty` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `name` - The property name, which is a fully-qualified URI.
  Returns:
    The current value of the property.
  Throws:
    `org.xml.sax.SAXNotRecognizedException` - When the XMLReader does not recognize the property name.
    `org.xml.sax.SAXNotSupportedException` - When the XMLReader recognizes the property name but cannot determine its value at this time.
  See Also:
    `XMLReader.setProperty(java.lang.String, java.lang.Object)`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws org.xml.sax.SAXNotRecognizedException,
                            org.xml.sax.SAXNotSupportedException

  Description copied from interface: `org.xml.sax.XMLReader`
  Set the value of a property.

  The property name is any fully-qualified URI. It is possible for an XMLReader to recognize a property name but to be unable to set its value; this is especially true in the case of an adapter for a SAX1 `Parser`.

  XMLReaders are not required to recognize setting any specific property names, though a core set is provided with SAX2.

  Some property values may be immutable or mutable only in specific contexts, such as before, during, or after a parse.

  This method is also the standard mechanism for setting extended handlers.

  Specified by:
    `setProperty` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `name` - The property name, which is a fully-qualified URI.
    `state` - The requested value for the property.
  Throws:
    `org.xml.sax.SAXNotRecognizedException` - When the XMLReader does not recognize the property name.
    `org.xml.sax.SAXNotSupportedException` - When the XMLReader recognizes the property name but cannot set the requested value.

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver resolver)

  Description copied from interface: `org.xml.sax.XMLReader`
  Allow an application to register an entity resolver.

  If the application does not register an entity resolver, the XMLReader will perform its own default resolution.

  Applications may register a new or different resolver in the middle of a parse, and the SAX parser must begin using the new resolver immediately.

  Specified by:
    `setEntityResolver` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `resolver` - The entity resolver.
  Throws:
    `java.lang.NullPointerException` - If the resolver argument is null.
  See Also:
    `XMLReader.getEntityResolver()`

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

  Description copied from interface: `org.xml.sax.XMLReader`
  Return the current entity resolver.
  Specified by:
    `getEntityResolver` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Returns:
    The current entity resolver, or null if none has been registered.
  See Also:
    `XMLReader.setEntityResolver(org.xml.sax.EntityResolver)`

### setDTDHandler

    public void setDTDHandler(org.xml.sax.DTDHandler handler)

  Description copied from interface: `org.xml.sax.XMLReader`
  Allow an application to register a DTD event handler.

  If the application does not register a DTD handler, all DTD events reported by the SAX parser will be silently ignored.

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    `setDTDHandler` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `handler` - The DTD handler.
  Throws:
    `java.lang.NullPointerException` - If the handler argument is null.
  See Also:
    `XMLReader.getDTDHandler()`

### getDTDHandler

    public org.xml.sax.DTDHandler getDTDHandler()

  Description copied from interface: `org.xml.sax.XMLReader`
  Return the current DTD handler.
  Specified by:
    `getDTDHandler` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Returns:
    The current DTD handler, or null if none has been registered.
  See Also:
    `XMLReader.setDTDHandler(org.xml.sax.DTDHandler)`

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)

  Description copied from interface: `org.xml.sax.XMLReader`
  Allow an application to register a content event handler.

  If the application does not register a content handler, all content events reported by the SAX parser will be silently ignored.

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    `setContentHandler` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `handler` - The content handler.
  Throws:
    `java.lang.NullPointerException` - If the handler argument is null.
  See Also:
    `XMLReader.getContentHandler()`

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Description copied from interface: `org.xml.sax.XMLReader`
  Return the current content handler.
  Specified by:
    `getContentHandler` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Returns:
    The current content handler, or null if none has been registered.
  See Also:
    `XMLReader.setContentHandler(org.xml.sax.ContentHandler)`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler handler)

  Description copied from interface: `org.xml.sax.XMLReader`
  Allow an application to register an error event handler.

  If the application does not register an error handler, all error events reported by the SAX parser will be silently ignored; however, normal processing may not continue. It is highly recommended that all SAX applications implement an error handler to avoid unexpected bugs.

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    `setErrorHandler` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `handler` - The error handler.
  Throws:
    `java.lang.NullPointerException` - If the handler argument is null.
  See Also:
    `XMLReader.getErrorHandler()`

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Description copied from interface: `org.xml.sax.XMLReader`
  Return the current error handler.
  Specified by:
    `getErrorHandler` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Returns:
    The current error handler, or null if none has been registered.
  See Also:
    `XMLReader.setErrorHandler(org.xml.sax.ErrorHandler)`

### parse

    public void parse(org.xml.sax.InputSource input)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Description copied from interface: `org.xml.sax.XMLReader`
  Parse an XML document.

  The application can use this method to instruct the XML reader to begin parsing an XML document from any valid input source (a character stream, a byte stream, or a URI).

  Applications may not invoke this method while a parse is in progress (they should create a new XMLReader instead for each nested XML document). Once a parse is complete, an application may reuse the same XMLReader object, possibly with a different input source.

  During the parse, the XMLReader will provide information about the XML document through the registered event handlers.

  This method is synchronous: it will not return until parsing has ended. If a client application wants to terminate parsing early, it should throw an exception.

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `source` - The input source for the top-level of the XML document.
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.
  See Also:
    `InputSource`, `XMLReader.parse(java.lang.String)`, `XMLReader.setEntityResolver(org.xml.sax.EntityResolver)`, `XMLReader.setDTDHandler(org.xml.sax.DTDHandler)`, `XMLReader.setContentHandler(org.xml.sax.ContentHandler)`, `XMLReader.setErrorHandler(org.xml.sax.ErrorHandler)`

### parse

    public void parse(java.lang.String systemId)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Description copied from interface: `org.xml.sax.XMLReader`
  Parse an XML document from a system identifier (URI).

  This method is a shortcut for the common case of reading a document from a system identifier. It is the exact equivalent of the following:

       parse(new InputSource(systemId));

  If the system identifier is a URL, it must be fully resolved by the application before it is passed to the parser.

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `systemId` - The system identifier (URI).
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.
  See Also:
    `XMLReader.parse(org.xml.sax.InputSource)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD